from typing import Final, Sequence

STEAMGIFT_APPID: Final[int] = 753
CSGO_APPID: Final[int] = 730
TEAM_FORTRESS2_APPID: Final[int] = 440
DOTA2_APPID: Final[int] = 570

# CS:GO Временно не поддерживается
SUPPORTED_APPIDS: Final[Sequence[int]] = [753, 440, 570]

# Web Scraping
NAME_BY_APPID: dict[int, str] = {
    TEAM_FORTRESS2_APPID: 'tf2',
    DOTA2_APPID: 'dota2',
    STEAMGIFT_APPID: 'games',
}

# Фильтры
# TF2
# Качества
TF2_QUALITY_COLLECTORS: Final[int] = 263
TF2_QUALITY_DECORATED: Final[int] = 228
TF2_QUALITY_GENUINE: Final[int] = 107
TF2_QUALITY_HAUNTED: Final[int] = 231
TF2_QUALITY_SELFMADE: Final[int] = 348
TF2_QUALITY_STOCK: Final[int] = 274
TF2_QUALITY_STRANGE: Final[int] = 50
TF2_QUALITY_UNIQUE: Final[int] = 28
TF2_QUALITY_UNUSUAL: Final[int] = 232
TF2_QUALITY_VINTAGE: Final[int] = 40

# Типы
TF2_TYPE_ACTION: Final[int] = 51
TF2_TYPE_BUILDING: Final[int] = 220
TF2_TYPE_COSMETIC: Final[int] = 39
TF2_TYPE_CRAFT_ITEM: Final[int] = 42
TF2_TYPE_CRATE: Final[int] = 43
TF2_TYPE_FESTIVIZER: Final[int] = 285
TF2_TYPE_GIFT1: Final[int] = 106
TF2_TYPE_GIFT2: Final[int] = 252
TF2_TYPE_KILLSTREAK_KIT: Final[int] = 250
TF2_TYPE_MELEE: Final[int] = 44
TF2_TYPE_PACKAGE: Final[int] = 246
TF2_TYPE_PARTY_FAVOR: Final[int] = 29
TF2_TYPE_PRIMARY: Final[int] = 45
TF2_TYPE_PRIMARY_PDA: Final[int] = 233
TF2_TYPE_PROFESSIONAL_KILLSTREAK_KIT: Final[int] = 259
TF2_TYPE_RECIPE: Final[int] = 46
TF2_TYPE_SECONDARY_PDA: Final[int] = 49
TF2_TYPE_SECONDARY: Final[int] = 41
TF2_TYPE_SERVER_ENCHANTMENT: Final[int] = 47
TF2_TYPE_SPECIALIZED_KILLSTREAK_KIT: Final[int] = 235
TF2_TYPE_SPELLBOOK_PAGE: Final[int] = 302
TF2_TYPE_STRANGE_FILTER: Final[int] = 269
TF2_TYPE_STRANGE_PART: Final[int] = 226
TF2_TYPE_STRANGIFIER: Final[int] = 234
TF2_TYPE_SUPPLY_CRATE: Final[int] = 227
TF2_TYPE_TAUNT: Final[int] = 108
TF2_TYPE_TF_SPELLTOOL: Final[int] = 273
TF2_TYPE_TOOL: Final[int] = 222
TF2_TYPE_TYPE: Final[int] = 223
TF2_TYPE_UNLOCKED_CRATE: Final[int] = 257
TF2_TYPE_UNUSUALIFIER: Final[int] = 303
TF2_TYPE_USABLE_ITEM: Final[int] = 48
TF2_TYPE_WARPAINT: Final[int] = 321

# Классы (used_by)
TF2_CLASS_DEMOMAN: Final[int] = 33
TF2_CLASS_ENGINEER: Final[int] = 38
TF2_CLASS_HEAVY: Final[int] = 35
TF2_CLASS_MEDIC: Final[int] = 34
TF2_CLASS_PYRO: Final[int] = 36
TF2_CLASS_SCOUT: Final[int] = 30
TF2_CLASS_SNIPER: Final[int] = 31
TF2_CLASS_SOLDIER: Final[int] = 32
TF2_CLASS_SPY: Final[int] = 37

# Крафт/ковка
TF2_CRAFTABLE: Final[int] = 277
TF2_NOT_CRAFTABLE: Final[int] = 278

# DOTA2
# Редкости
DOTA2_RARITY_ANCIENT: Final[int] = 264
DOTA2_RARITY_ARCANA: Final[int] = 11
DOTA2_RARITY_COMMON: Final[int] = 2
DOTA2_RARITY_IMMORTAL: Final[int] = 20
DOTA2_RARITY_LEGENDARY: Final[int] = 13
DOTA2_RARITY_MYTHICAL: Final[int] = 9
DOTA2_RARITY_RARE: Final[int] = 5
DOTA2_RARITY_SEASONAL: Final[int] = 308
DOTA2_RARITY_UNCOMMON: Final[int] = 8

# Качества
DOTA2_QUALITY_ASCENDANT: Final[int] = 310
DOTA2_QUALITY_AUSPICIOUS: Final[int] = 124
DOTA2_QUALITY_AUTOGRAPHED: Final[int] = 219
DOTA2_QUALITY_BASE1: Final[int] = 266
DOTA2_QUALITY_BASE2: Final[int] = 288
DOTA2_QUALITY_CORRUPTED: Final[int] = 136
DOTA2_QUALITY_CURSED: Final[int] = 147
DOTA2_QUALITY_ELDER: Final[int] = 58
DOTA2_QUALITY_EXALTED: Final[int] = 109
DOTA2_QUALITY_FROZEN: Final[int] = 126
DOTA2_QUALITY_GENUINE: Final[int] = 25
DOTA2_QUALITY_GLITTER: Final[int] = 352
DOTA2_QUALITY_GOLD: Final[int] = 353
DOTA2_QUALITY_HEROIC: Final[int] = 185
DOTA2_QUALITY_HOLO: Final[int] = 354
DOTA2_QUALITY_INFUSED: Final[int] = 286
DOTA2_QUALITY_INSCRIBED: Final[int] = 10
DOTA2_QUALITY_LEGACY: Final[int] = 268
DOTA2_QUALITY_STANDARD: Final[int] = 1
DOTA2_QUALITY_UNUSUAL: Final[int] = 111

# Типы
DOTA2_TYPE_ANCIENT: Final[int] = 371
DOTA2_TYPE_ANNOUNCER: Final[int] = 116
DOTA2_TYPE_BASE: Final[int] = 258
DOTA2_TYPE_BUNDLE: Final[int] = 117
DOTA2_TYPE_COURIER: Final[int] = 18
DOTA2_TYPE_CURSORS_PACK: Final[int] = 15
DOTA2_TYPE_DIRE_TOWERS: Final[int] = 368
DOTA2_TYPE_EMBLEM: Final[int] = 357
DOTA2_TYPE_EMOTICON_TOOL: Final[int] = 287
DOTA2_TYPE_GEM_OR_RUNE: Final[int] = 16
DOTA2_TYPE_HUD_SKIN: Final[int] = 26
DOTA2_TYPE_LEAGUE: Final[int] = 241
DOTA2_TYPE_LOADING_SCREEN: Final[int] = 22
DOTA2_TYPE_MISC: Final[int] = 24
DOTA2_TYPE_MUSIC: Final[int] = 23
DOTA2_TYPE_PENNANT: Final[int] = 152
DOTA2_TYPE_PLAYER_CARD: Final[int] = 225
DOTA2_TYPE_RADIANT_TOWERS: Final[int] = 369
DOTA2_TYPE_RECIPE: Final[int] = 254
DOTA2_TYPE_RELIC: Final[int] = 320
DOTA2_TYPE_RETIRED_CHEST: Final[int] = 66
DOTA2_TYPE_STICKER: Final[int] = 351
DOTA2_TYPE_STICKER_CAPSULE: Final[int] = 355
DOTA2_TYPE_TAUNT: Final[int] = 14
DOTA2_TYPE_TERRAIN: Final[int] = 309
DOTA2_TYPE_TOOL: Final[int] = 3
DOTA2_TYPE_TREASURE: Final[int] = 112
DOTA2_TYPE_TREASURE_KEY: Final[int] = 247
DOTA2_TYPE_WARD: Final[int] = 150
DOTA2_TYPE_WEARABLE: Final[int] = 6

# Герои
# может позже

# SteamGift
# Регион
STEAMGIFT_REGION_ASIA: Final[int] = 251
STEAMGIFT_REGION_CHINA: Final[int] = 319
STEAMGIFT_REGION_GLOBAL: Final[int] = 73
STEAMGIFT_REGION_HONG_KONG_OR_TAIWAN: Final[int] = 300
STEAMGIFT_REGION_INDIA: Final[int] = 331
STEAMGIFT_REGION_MIDDLE_EAST: Final[int] = 356
STEAMGIFT_REGION_RUSSIA_CIS: Final[int] = 104
STEAMGIFT_REGION_SOUTH_AFRICA: Final[int] = 366
STEAMGIFT_REGION_SOUTH_AMERICA_OR_BRAZIL: Final[int] = 265
STEAMGIFT_REGION_TURKEY: Final[int] = 260

# Жанры
STEAMGIFT_GENRE_ACCOUNTING: Final[int] = 271
STEAMGIFT_GENRE_ACTION: Final[int] = 74
STEAMGIFT_GENRE_ADVENTURE: Final[int] = 97
STEAMGIFT_GENRE_ANIMATION_AND_MODELING: Final[int] = 270
STEAMGIFT_GENRE_AUDIO_PRODACTION: Final[int] = 242
STEAMGIFT_GENRE_CASUAL: Final[int] = 93
STEAMGIFT_GENRE_DESIGN_AND_ILLUSTRATION: Final[int] = 244
STEAMGIFT_GENRE_DECUMENTARY: Final[int] = 364
STEAMGIFT_GENRE_EARLY_ACCESS: Final[int] = 208
STEAMGIFT_GENRE_EDUCATION: Final[int] = 261
STEAMGIFT_GENRE_FREE_TO_PLAY: Final[int] = 105
STEAMGIFT_GENRE_GAME_DEVELOPMENT: Final[int] = 346
STEAMGIFT_GENRE_GORE: Final[int] = 305
STEAMGIFT_GENRE_INDIE: Final[int] = 75
STEAMGIFT_GENRE_MASSIVELY_MULTIPLAYER: Final[int] = 102
STEAMGIFT_GENRE_MOVIE: Final[int] = 363
STEAMGIFT_GENRE_NUDITY: Final[int] = 306
STEAMGIFT_GENRE_PHOTO_EDITING: Final[int] = 295
STEAMGIFT_GENRE_RPG: Final[int] = 89
STEAMGIFT_GENRE_RACING: Final[int] = 96
STEAMGIFT_GENRE_SEXUAL_CONTENT: Final[int] = 313
STEAMGIFT_GENRE_SIMULATION: Final[int] = 95
STEAMGIFT_GENRE_SOFTWARE_TRAINING: Final[int] = 262
STEAMGIFT_GENRE_SPORTS: Final[int] = 101
STEAMGIFT_GENRE_STRATEGY: Final[int] = 98
STEAMGIFT_GENRE_UTILITIES: Final[int] = 243
STEAMGIFT_GENRE_VIDEO_PRODACTION: Final[int] = 272
STEAMGIFT_GENRE_VIOLENT: Final[int] = 304
STEAMGIFT_GENRE_WEB_PUBLISHING: Final[int] = 245

# Mode
STEAMGIFT_MODE_ADDITIONAL_HIGH_QUALITY_AUDIO: Final[int] = 358
STEAMGIFT_MODE_CAPTIONS_AVAILABLE: Final[int] = 98
STEAMGIFT_MODE_CO_OP: Final[int] = 84
STEAMGIFT_MODE_OMMENTARY_AVAILABLE: Final[int] = 100
STEAMGIFT_MODE_CROSS_PLATFORM_MULTIPLAYER: Final[int] = 90
STEAMGIFT_MODE_DOWNLOADABLE_CONTENT: Final[int] = 87
STEAMGIFT_MODE_FAMILY_SHARING: Final[int] = 372
STEAMGIFT_MODE_FULL_CONTROLLER_SUPPORT: Final[int] = 94
STEAMGIFT_MODE_INAPP_PURCHASES: Final[int] = 291
STEAMGIFT_MODE_INCLUDES_SOURCE_SDK: Final[int] = 99
STEAMGIFT_MODE_INCLUDES_LEVEL_EDITOR: Final[int] = 92
STEAMGIFT_MODE_LAN_CO_OP: Final[int] = 330
STEAMGIFT_MODE_LAN_PVP: Final[int] = 329
STEAMGIFT_MODE_MMO: Final[int] = 103
STEAMGIFT_MODE_MULTIPLAYER: Final[int] = 76
STEAMGIFT_MODE_NATIVE_STEAM_CONTROLLER_SUPPORT: Final[int] = 284
STEAMGIFT_MODE_ONLINE_CO_OP: Final[int] = 292
STEAMGIFT_MODE_ONLINE_PVP: Final[int] = 294
STEAMGIFT_MODE_PARTIAL_CONTROLLER_SUPPORT: Final[int] = 79
STEAMGIFT_MODE_PVP: Final[int] = 324
STEAMGIFT_MODE_REMOTE_PLAY_TOGETHER: Final[int] = 328
STEAMGIFT_MODE_REMOTE_PLAY_ON_PHONE: Final[int] = 325
STEAMGIFT_MODE_REMOTE_PLAY_ON_TV: Final[int] = 327
STEAMGIFT_MODE_REMOTE_PLAY_ON_TABLET: Final[int] = 236
STEAMGIFT_MODE_SHARED_OR_SPLIT_SCREEN: Final[int] = 85
STEAMGIFT_MODE_SHARED_OR_SPLIT_SCREEN_CO_OP: Final[int] = 293
STEAMGIFT_MODE_SHARED_OR_SPLIT_SCREEN_PVP: Final[int] = 296
STEAMGIFT_MODE_SINGLEPLAYER: Final[int] = 83
STEAMGIFT_MODE_STATS: Final[int] = 82
STEAMGIFT_MODE_STEAM_ACHIVEMENTS: Final[int] = 77
STEAMGIFT_MODE_STEAM_CLOUD: Final[int] = 80
STEAMGIFT_MODE_STEAM_LEADERBOARDS: Final[int] = 86
STEAMGIFT_MODE_STEAM_TIMELINE: Final[int] = 374
STEAMGIFT_MODE_STEAM_TRADING_CARDS: Final[int] = 78
STEAMGIFT_MODE_STEAM_TURN_NOTIFICATIONS: Final[int] = 218
STEAMGIFT_MODE_STEAM_WORKSHOP1: Final[int] = 91
STEAMGIFT_MODE_STEAM_WORKSHOP2: Final[int] = 341
STEAMGIFT_MODE_STEAM_VR_COLLECTABLES: Final[int] = 343
STEAMGIFT_MODE_TRACKED_CONTROLLER_SUPPORT: Final[int] = 359
STEAMGIFT_MODE_VR_ONLY: Final[int] = 361
STEAMGIFT_MODE_VR_SUPPORT: Final[int] = 240
STEAMGIFT_MODE_VR_SUPPORTED: Final[int] = 360
STEAMGIFT_MODE_VALVE_ANTICHEAT_ENABLED: Final[int] = 81

# Обмен
STEAMGIFT_TRADABLE: Final[int] = 276
STEAMGIFT_NOT_TRADABLE: Final[int] = 281
